Page MenuHomePhabricator

Display file format of preview if different format from original file
Closed, ResolvedPublic

Description

Author: mcdevitd

Description:
Several file formats (notably PDF, DjVu, SVG, and TIFF) show in-browser previews, using the links under the image on its description page, in different file formats (JPG and PNG) than the original file, but the interface does not warn the user of this anywhere. All it says is:

"Size of this preview: 463 × 599 pixels. Other resolutions: [...]"

For these file types, the message should specify, e.g., "These preview images will be rendered in JPG", much as several projects are already doing through site-specific JS (see SVGs on Commons: https://commons.wikimedia.org/wiki/File:Svg_example4.svg "This image rendered as PNG in other widths: 200px, 500px, 1000px, 2000px."). This is also important usability-wise because the preview file formats are typically more user-friendly than the original files. We should be making users aware that when they are looking at a large file in unfamiliar TIFF format that they are able to simply download JPGs from the preview links.


Version: 1.23.0
Severity: enhancement
Whiteboard: gci2014

Details

Reference
bz56546

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:35 AM
bzimport set Reference to bz56546.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Nov 4 2013, 6:56 AM

Sounds reasonable. Only questionable part is finding out what the proper name of file format is, but could probably just use extension uppercased

(In reply to comment #1)

Sounds reasonable. Only questionable part is finding out what the proper name
of file format is, but could probably just use extension uppercased

We can map the thumbnail image type to message keys, right? So if it's an SVG or a PDF, the software could simply detect that the thumbnails are PNGs and then map to "file-thumbnail-resolutions-png" or something?

Thoughts on making this a GCI task?

(In reply to comment #2)

(In reply to comment #1)

Sounds reasonable. Only questionable part is finding out what the proper name
of file format is, but could probably just use extension uppercased

We can map the thumbnail image type to message keys, right? So if it's an SVG
or a PDF, the software could simply detect that the thumbnails are PNGs and
then map to "file-thumbnail-resolutions-png" or

Provided it fallsback to current msg if new msg is undefined, that sounds fine. Have to also test it does something sane in tmh, but tmh might override that entire part making it a non-issue.

Thoughts on making this a GCI task?

Probably would be suitable.

Qgil added a comment.Dec 7 2013, 8:05 PM

I'm happy to create a GCI task if someone can provide a description that I can just copy and paste.

(In reply to comment #4)

I'm happy to create a GCI task if someone can provide a description that I
can just copy and paste.

Dmcdevit? :-)

So if there was a new code contributor working on this (e.g. in GCI), could somebody please provide a good task description and the expected outcome?

Could any of you imagine being a mentor for this task in Google Code-in 2014?
See https://lists.wikimedia.org/pipermail/wikitech-l/2014-October/079264.html and https://www.mediawiki.org/wiki/Google_Code-in_2014 for more information.

I'm happy to help getting this task into Google Code-in - just need to know if somebody (plural) would mentor this!

Change 181749 had a related patch set uploaded (by M4tx):
Display preview file format

https://gerrit.wikimedia.org/r/181749

Patch-For-Review

m4tx claimed this task.Dec 24 2014, 6:22 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:12 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:12 PM
jrbs added a subscriber: jrbs.

Isn't this already done via 47de88918161d55a2a

Nemo_bis closed this task as Resolved.Oct 30 2015, 12:59 PM
Nemo_bis reassigned this task from m4tx to Bawolff.
Nemo_bis removed a project: Voice & Tone.
Nemo_bis set Security to None.

In which case, I do apologize to @m4tx for "stealing" this bug out from under him/her. I had forgotten this bug existed.

Change 181749 abandoned by Bartosz Dziewoński:
State the format of previews/thumbnails linked from file description

Reason:
Superseded by 47de88918161d55a2a1ec86ff409778d8d4ba055

https://gerrit.wikimedia.org/r/181749